Subject: bug#9900: Using a guardian on a value in a weak hash

From: Andy Wingo <[email-masked]>
Date: Thu, 15 Dec 2011 22:55:48 +0100

On Wed 14 Dec 2011 22:49, [email-masked] (Ludovic Courtès) writes:

> Hello!
>
> It could be a coincidence, but the “Unused modules are removed” test has
> been failing on i686-linux-gnu since commit
> fb135e12a473fd9a1612a59f904cfb90877fe775 (according to
> <http://hydra.nixos.org/build/1574623>.)
>
> I can’t see how this commit could lead to a reference leak that would
> make the test fail, but I wanted to double-check with you.
>
> Ideas?

Is the stack-clearing code not doing its job, somehow?  Hummmm.

I'll look into this later if no one gets around to it, but investigation
would be appreciated ;-)

Cheers,

Andy
-- 
http://wingolog.org/